Could not install Gradle distribution from 'https://services.gradle.org/distributions/gradle-2.1-all.zip'

I am a greenhorn in gradle and i just tried to create a new Android Gradle Project in IntelliJ. After filling up the necessities it started to download something which took hours so i decided to...

Error: No toolchains found in the NDK toolchains folder for ABI with prefix: llvm

I want to compile an open source android project (Netguard) using gradel (gradlew clean build) But I encountered this Error: A problem occurred configuring project ':app'. > Exception thrown while...

What are the differences between gradle assemble and gradle build tasks?

If I am not wrong gradle assemble does run gradle assembleDebug and gradle assembleRelease, but I believe gradle build also does the same, so what are the different between them both?

Error:Could not determine the dependencies of task ':app:compileDebugJavaWithJavac'

I am using android studio 3.0.1, and I got an error: Error:Could not determine the dependencies of task ':app:compileDebugJavaWithJavac'. Could not create service of...

How to stop gradle from looking for the Android NDK?

I have a Android project which doesn't use the NDK jet Gradle is looking for the NDK. Either I get this Error: No toolchains found in the NDK toolchains folder for ABI with prefix:...

Execution failed for task ':app:preDebugBuild'.in Flutter

Android dependency 'com.android.support:support-media-compat' has different version for the compile (26.1.0) and runtime (27.1.1) classpath. You should manually set the same version via...

Support to 64-bit gives error on adding ndk.abiFilters in build.gradle

Most of the android developers must have got the message from Google to update the apps to support 64-bit architecture by Aug 2019. The detailed instructions are given here: Ensure that your app...

Failed to sync Gradle project Could not find method implementation() for arguments [com.android.support:design:27.1.0]

ERROR: Error:Could not find method implementation() for arguments [com.android.support:design:27.1.0] on DefaultExternalModuleDependency{group='com.android.support.test.espresso',...

React native Task :app:bundleReleaseJsAndAssets FAILED

I try to generate apk with cmd "gradlew assembleRelease --stacktrace" but it fails & I always get the same error message : > Task :app:bundleReleaseJsAndAssets The filename, directory name, or...

No version of NDK matched the requested version

After updating to Android Gradle plugin 3.6.0 (released Feb 24, 2020), several project independently started failing with: No version of NDK matched the requested version 20.0.5594570. Versions...

Firebase Firestore is failing over wifi on physical device with error: Could not reach Cloud Firestore backend

When trying to get a document from Firestore, if the device is connected through Wifi the connection fails with the following error message: W/Firestore( 4903): (21.4.3) [OnlineStateTracker]:...

Databinding not incremental on AGP 4.0.1

I'm currently using Android Gradle Plugin 4.0.1 and it seems like Databinding is not incremental on AGP 4.0.1, as you can see on the below...

Can not inject workmanager constructor with Hilt

I'm developing an Android app. and I'm trying to use hilt with workmanager constructor but it does not work and gives me this error : 2020-08-18 19:01:09.989 18125-18759/com. E/WM-WorkerFactory:...

Failed to find Build Tools revision 30.0.1

My Android Studio setup is as follows : Android Studio Version : 4.0 (May 2020 Build) Android Gradle Plugin Version : 4.0.0 Gradle Version : 6.1.1 But it gives me this error : Failed to find...

Ignoring header X-Firebase-Locale because its value was null

I'm currently doing a project on Android Studio and I'm using the sign in authentication. It works sometimes but sometimes it doesn't with the error "Ignoring header X-Firebase-Locale because its...

Unable to set abiFilter using kotlin dsl

After updating android gradle plugin from 4.0.3 to 4.1.0, I am not able to set abiFilter in kotlin DSL. Getting following error. Val cannot be reassigned

Flutter Error: Execution failed for task ':app:compileFlutterBuildDebug

I reinstall my flutter and trying to load my app again, but I am having trouble loading it up. I have tried for three days, even reinstalling my window and all program again, but I did not have...

Unable to find method ''void com.android.build.api.extension.AndroidComponentsExtension$DefaultImpls.androidTest$default(com.android.build

my first project using Jetpack Compose got an error like this, how can I fix it Unable to find method...

android:exported needs to be explicitly specified for <activity>. Apps targeting Android 12 and higher are required to specify

After upgrading to android 12, the application is not compiling. It shows "Manifest merger failed with multiple errors, see logs" Error showing in Merged manifest: Merging Errors: Error:...

Android Gradle plugin 7.0.0 and NDK: UnsatisfiedLinkError

I recently updated Android Gradle Plugin to version 7.0.0 (Gradle version 7.0.2). Since I did this update, my native library continues to be compiled regularly, but no .so files are generated in...

The compose compiler plugin you are using (version 1.0.1) expects a minimum runtime version of 1.0.1

I am integrating Jetpack Compose into my app's legacy module and running into an issue IncompatibleComposeRuntimeVersionException when building. I'd like help resolving...

Execution failed for task ':app:kaptDebugKotlin' - Error Occurs while using Hilt

Added hilt dependencies: Build.gradle(project) def hilt_version = "2.38.1" classpath "com.google.dagger:hilt-android-gradle-plugin:$hilt_version" Build.gradle(app) plugins { id...

We recommend using a newer Android Gradle plugin to use compileSdkPreview = "Sv2" warning in android studio

When I am running an app in android studio using Android Sv2 Preview SDK, I am getting a warning: Build Output We recommend using a newer Android Gradle plugin to use compileSdkPreview =...

React native buld failed with the following message Failed to list versions for com.facebook.react:react-native

I am using ReactNative version 0.62.2 and when i try to run the application using the command react-native run-android the build gets failed with the following error message Could not determine...

Android Navigation 2.4.0-rc01 incompatible with Jetpack Compose

Wanted to upgrade navigation version to 2.4.0-rc01, but I get this error when I do so This version (1.0.5) of the Compose Compiler requires Kotlin version 1.5.31 but you appear to be using Kotlin...

org.gradle.api.UnknownDomainObjectException: KotlinJvmAndroidCompilation with name 'debug' not found

I have a java Android project and I am trying to include Kotlin/Convert some of the java classes to Kotlin. Project's build.gradle: Here I have introduced a variable for otlin version 1.6.10 and...

KMM + Compose: Unresolved reference: drawable

I have a KMM application in which the android target uses Jetpack Compose. I am getting the following error when I try to use a drawable resource: e: [...]/OnboardingScreen.kt: (33, 46):...

Gradle build not working for React Native project after updating Gradle version and Android Studio

I'd looked through similar questions on here but I haven't found any that worked for me so far. Problem I recently updated Android studio to the version below: Android Studio Arctic Fox | 2020.3.1...

React Native: Android "Received status code 502 from server: Bad Gateway" from JCenter and Bintray being discontinued

Note that these are snippets of the errors I found useful, and also that the snippets starting with "What went wrong". After running npx react-native run-android --verbose (which has always worked...